Subject: Re: bug#66305: Error with recursive git checkout

From: Simon Tournier <[email-masked]>
Date: Tue, 03 Oct 2023 21:26:53 +0200

Hi Guillaume,

On Mon, 02 Oct 2023 at 11:17, Guillaume Le Vaillant <[email-masked]> wrote:

> With Guix at 47d0346553fdad9795c9390a60944ccaad7e5255, I'm unable to
> build a package (see attached patch) requiring a recursive git-fetch to
> get the sources:

[...]

> HEAD is now at 41ef634 Revert "libbladeRF: update compatibility for FPGA v0.15.0 from libbladeRF 2.4.0 to 2.5.0"
> /gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-submodule: line 7: basename: command not found
> /gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-submodule: line 7: sed: command not found
> /gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-sh-setup: line 77: basename: command not found
> /gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-sh-setup: line 77: sed: command not found
> /gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-sh-setup: line 292: uname: command not found
> /gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-submodule: line 613: sed: command not found
> /gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-submodule: line 613: cmd_: command not found
> git-fetch: '/gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/bin/git submodule update --init --recursive' failed with exit code 127

It looks very similar as bug#65924:

        bug#65924: git searches coreutils and util-linux commands in PATH
        Maxim Cournoyer <[email-masked]>
        Wed, 13 Sep 2023 14:00:09 -0400
        id:[email-masked]
        https://issues.guix.gnu.org//65924
        https://issues.guix.gnu.org/msgid/[email-masked]
        https://yhetil.org/guix/[email-masked]

I think it is a corollary from:

        bug#65866: [PATCH 0/8] Add built-in builder for Git checkouts
        Ludovic Courtès <[email-masked]>
        Tue, 26 Sep 2023 17:44:22 +0200
        id:[email-masked]
        https://issues.guix.gnu.org//65866
        https://issues.guix.gnu.org/msgid/[email-masked]
        https://yhetil.org/guix/[email-masked]

and if I am correct, such potential issue had been pointed by:

        Re: hard dependency on Git? (was bug#65866: [PATCH 0/8] Add built-in builder for Git checkouts)
        Simon Tournier <[email-masked]>
        Thu, 14 Sep 2023 19:28:06 +0200
        id:CAJ3okZ0hzimVNtTcSsJKR-x=[email-masked]
        https://lists.gnu.org/archive/html/guix-devel/2023-09
        https://yhetil.org/guix/CAJ3okZ0hzimVNtTcSsJKR-x=[email-masked]

Cheers,
simon